strel

Silent .NET Maker synthesized 20100118 - W2K/XP/2K3 x86

1,004 posts in this topic

strel, thank you very much for such a great topic!!! CMD and BAT scripts are my favourites when it comes to simplicity of install and complexity of the processes wrapped into just a few bits :)

But I have to admit that the synthesis of several .NET packs was NOT that simple for me at a first glance into the .INI file.

1- I'm a bit confused with batch instructions since my only experience with .NET is version 2.0 installed manually on my XP SP3 to use nLite. Could you please explain me the process in more detail, therefore?

It supports the following files:

.NET 1.1 Redistributable Package (dotnetfx.exe) for windows 2000, XP, x86 only.

Any NDP1.1*.exe, Sxxxxxx.msp and Mxxxxxx.msp hotfixes for .NET 1.1, specifically:

- NDP1.1sp1-KB867460-X86.exe hotfix for 2000/XP only.

- NDP1.1sp1-KB928366-X86.exe hotfix for 2000/XP only .

QUESTION 1: When you say "specifically", does that mean I need only the above-listed 2 (two) hotfixes/SP or .MSP files either?

2- I have downloaded this file: .NET 2.0 SP1 package (NetFx20SP1_x86.exe). But later in your post I found that:

.NET 3.5 full redistributable package (dotnetfx35.exe -- note it's the same filename as 3.5 SP1 but this is 197MB), contains .NET 2.0 SP1, .NET 3.0 SP1 and .NET 3.5. For XP/2003 only.

.NET 3.5 SP1 full redistributable (dotnetfx35.exe -- note it's the same filename as 3.5 but this is 231 MB), contains .NET 2.0 SP2, .NET 3.0 SP2 and .NET 3.5 SP1. For XP/2003 only.

QUESTION 2: Which one of "dotnetfx35.exe" should I download, if I want to make a full .NET pack with v1.1, 2.0, 3.0 & 3.5 with ALL hotfixes and updates?!? I assume that I cannot keep both "dotnetfx35.exe" files in the same folder since they contain identical names and, therefore, I need only one of them. This assumption leads to another question ->

QUESTION 3: If .NET 3.5 SP1 full redistributable contains .NET 2.0 SP2 (which is only ~9Mb compared to .NET 2.0 SP1 (NetFx20SP1_x86.exe) weighing almost ~24Mb), does that mean that I don't need .NET 2.0 SP1 anymore? What I understand from "SPx" is that it is the service pack only but NOT the full .NET pack v2.0 plus specific service pack. Am I right?!?

3- The following is an excerpt from my edited "_SNMsynth.ini" in the first run:

; -----  PROCESS MAIN PACKAGES
; These settings request processing of .NET 1.1 (dotnetfx.exe), .NET 2.0 SP1 (NetFx20SP1_x86.exe) and each one of .NET 2.0 SP1/SP2,
; .NET 3.0 SP1/SP2 and .NET 3.5/3.5 SP1 inside any of the dotnetfx35.exe (3.5/3.5 SP1 respectively). DNF2 can not be processed
; simultaneously from both NetFx20SP1_x86.exe and any of dotnetfx35.exe. None of dotnetfx35.exe is compatible with 2K.

PROCESS_DNF1=YES
PROCESS_DNF2=YES
PROCESS_DNF35_DNF2=
PROCESS_DNF35_DNF3=
PROCESS_DNF35_DNF35=

In this configuration I've managed to get rid of the error message I encountered first by running "SNMsynth.cmd" (which prompted with "choose what file is .NET 2.0 SP# going to be processed from"). However, I could only integrate .NET 1.1 and .NET 2.0 together.

Then (after reading your notes in .INI file), I've deleted the compiled file (DNFxxx.exe) from the OUT folder and restarted CMD with INI file re-configured as follows:

PROCESS_DNF1=YES
PROCESS_DNF2=
PROCESS_DNF35_DNF2=YES
PROCESS_DNF35_DNF3=YES
PROCESS_DNF35_DNF35=YES

QUESTION 4: Is this the right configuration to get a FULL .NET pack with all updates and hotfixes for XP SP3? I know, it depends on files I have put into the Work Folder. So, here is the list in alphabetical order:

dotnetfx.exe
dotnetfx35.exe (231Mb)
NDP1.1sp1-KB867460-X86.exe
NDP1.1sp1-KB928366-X86.exe
NDP20SP2-KB958481-x86.exe
NDP20SP2-KB958481-x86.exe
NDP35SP1-KB958484-x86.exe
NetFx20SP1_x86.exe

QUESTION 5 (Final): I also assume there is no way to make a full switchless installer in the first run only. If true, how many runs are required (can you post your .INI configurations for such specific runs in respective order)?!?

Thank you very much for your patience and support!!!

Rustam

Edited by simurqq
0

Share this post


Link to post
Share on other sites

I've got to review the guide, you're not the first to say it to me.

A1: This means the script can handle updates of this types for 1.1, specifically of the types MS make available to us for 1.1 nowadays, all are in the list.

A2 & A3: There's no SPs standalone, in every case it is the complete framework updated to that SP#. The script only admits one dotnetfx35.exe. Choose your update condition. If you use NetFx20SP1_x86.exe and any dotnetfx35.exe , you have to choose which of the 2.0 SP# versions contained in these packets you are going to process, the script cannot be fed with two different steps (SP#) of the same framework #.# , even not with the same step (SP#) of the same framework #.# from 2 different files.

A4: To get FULL merged installer, apart of feeding the process with the correct frameworks you want (this is matching correct packets in the work folder with the settings in .ini file that triggers the process of the frameworks contained in it that you want), you have to set MERGE_FRAMEWORKS=full in the .ini file. Configuring the setting this way only build the full installer you want if you fed the process correctly, if not the merged installer would be partial only.

In your list you repeat:

NDP20SP2-KB958481-x86.exe

NDP20SP2-KB958481-x86.exe ----> You need NDP30SP2-KB958483-x86.exe

and:

dotnetfx35.exe (231Mb)

...

NetFx20SP1_x86.exe ---->Last version of 2.0 is 2.0 SP2 contained in dotnetfx35 (231 MB). You can delete this file or empty PROCESS_DNF2 not to feed the process with it.

The script deletes automatically files generated in an incomplete or wrong, building process.

A5: You can make full single switchless installer in one run. Another uncommon results like merged 1.1+2.0 + merged 3.0+3.5 needs 2 runs. Don't know of any combination requiring 3 runs.

Is that Azerbajan, isn't it? Good luck.

Edited by strel
0

Share this post


Link to post
Share on other sites

@strel: Thanks for this great tool :thumbup

But I have a problem. After installing the complete package wsus still want´s to install kb932471, but can´t do this (error). This patch should be included in the latest 3.5er SP-releases. Anyone knows how to fix this?

0

Share this post


Link to post
Share on other sites

Can you give me details?

- Your SNMsynth.ini settigns.

- The merged installer filename you get.

- What windows version are you installing on and language?

- What files did you put in the work folder?

- What method did you use to install?

You're updating through WSUS, is there any chance you could try to update from windows/ms update through the internet to validate results? Ask your netadmin in case it's not you.

Edited by strel
0

Share this post


Link to post
Share on other sites

From MSDN forums, it's very explanatory with the condition:

FAILURE: Update for .NET Framework 3.0: x86 (KB932471)

Aaron Stebner points one possible cause, but this was posted one year before the last one in the previous link:

.NET Framework 3.0 hotfix (KB932471) will fail to install if .NET Framework 3.5 beta 2 is installed

Here is offered a possible workaround:

Dot Net 3 SP1 & KB932471 problem - Makave234

Tell us your experiencies with this, please.

Edited by strel
0

Share this post


Link to post
Share on other sites
i've written a mail to the hungarian M$ group about this problem.

I've received a reply from Microsoft Hungary Ltd, they told me they forwarded my problem to their center.

0

Share this post


Link to post
Share on other sites

Good news for hungarian speakers. Thank U.

0

Share this post


Link to post
Share on other sites

FYI, everything appeared to go smoothly, when I used the latest (20090107) script to create a passive, merged installer for .NET 1.1 and 2.0 SP1 + all hotfixes, and then applied that at T-13 with HFSLIP to create a fresh Windows 2000 installation.

0

Share this post


Link to post
Share on other sites

Updated again.

Now you can build nlite add-ons, and the process has been simplified even more, but the guide is even longer.

njoy! :thumbup

2 Inki

Thx for your feedback.

Edited by strel
0

Share this post


Link to post
Share on other sites

Thanks strel!!!

The addon created by the last update works perfect to me.

0d

0

Share this post


Link to post
Share on other sites

.NET 3.0 SP2 hungarian language

bla bla

Thx 4 your help fenyo.

Anymore ideas?

Same issue on Dutch XP SP3 using dutch language pack. It seems like Microsoft Update site doesn't properly detect .NET 3.0 SP2 language pack, although it's installed. You don't want to install the update from the site and fortunately it's not possible to mess up the system. Microsoft probably fixes this within a few months.

Note I use WiMakCab to compress the Administrative Install Point back to an MSI. Although size is a few MB's larger on install you save time not having to extract the installer first.

Edited by Acheron
0

Share this post


Link to post
Share on other sites

Thx Acheron.

Are there discrepancies with install displayed sizes among admin install and normal install too?

I don't see a great issue with the unzipping times, and I'm using old PCs. Though more quickly, .cab files have to be extracted too. I think size is more important.

Is your insterest in GPO installing?

0

Share this post


Link to post
Share on other sites

theres update kb928416 showing up after installation. made 3.5SP1 only with russian LPs. when i try to install it from windows update, it refuses to install. is it possible to intergate it somehow?

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.